Index: src/main/java/it/finki/tinki/bootstrap/DataHolder.java
===================================================================
--- src/main/java/it/finki/tinki/bootstrap/DataHolder.java	(revision b24fe9b3e02b1e3bc4d7071998208dfd360c3bfd)
+++ src/main/java/it/finki/tinki/bootstrap/DataHolder.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
@@ -71,5 +71,5 @@
         List<Skill> l2 = new ArrayList<>();
         l2.add(skillRepository.getOne(3L));
-        l2.add(skillRepository.getOne(0L));
+        l2.add(skillRepository.getOne(10L));
         l2.add(skillRepository.getOne(1L));
         l2.add(skillRepository.getOne(2L));
@@ -82,5 +82,5 @@
         List<Skill> l3 = new ArrayList<>();
         l3.add(skillRepository.getOne(3L));
-        l3.add(skillRepository.getOne(0L));
+        l3.add(skillRepository.getOne(10L));
         l3.add(skillRepository.getOne(5L));
         l3.add(skillRepository.getOne(6L));
@@ -105,10 +105,10 @@
         Account m = this.accountService.registerTeam("asdf", "asd", "TeamRocket", 3);
 
+        Job z = this.workService.insertJob("asdfq", "asdfqw", m.getId() ,5000, smalls, AccountType.TEAM);
+        Job n = this.workService.insertJob("asdfq", "asdfqw", c.getId() ,5000, sm2, AccountType.COMPANY);
         Job j = this.workService.insertJob("Asdf", "Asdfa", c.getId() ,5000, ids, AccountType.COMPANY);
         Job k = this.workService.insertJob("Asdf", "Asdfa", m.getId() ,5000, ids, AccountType.TEAM);
-        Job z = this.workService.insertJob("asdfq", "asdfqw", m.getId() ,5000, smalls, AccountType.TEAM);
-        Job n = this.workService.insertJob("asdfq", "asdfqw", c.getId() ,5000, sm2, AccountType.COMPANY);
 
-        Account u = this.accountService.registerUser("asdf", "asdf", "Zoki", "Poki", lista, lista);
+        Account u = this.accountService.registerUser("asdf", "asdfq", "Zoki", "Poki", lista, lista);
 
     }
Index: src/main/java/it/finki/tinki/model/Users/Account.java
===================================================================
--- src/main/java/it/finki/tinki/model/Users/Account.java	(revision b24fe9b3e02b1e3bc4d7071998208dfd360c3bfd)
+++ src/main/java/it/finki/tinki/model/Users/Account.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
@@ -1,4 +1,5 @@
 package it.finki.tinki.model.Users;
 
+import com.sun.istack.NotNull;
 import it.finki.tinki.model.enumerator.AccountType;
 import lombok.Data;
@@ -16,8 +17,11 @@
 
     @Column(unique = true)
+    @NotNull
     String email;
 
+    @NotNull
     String password;
 
+    @NotNull
     String name;
 
Index: src/main/java/it/finki/tinki/model/Users/User.java
===================================================================
--- src/main/java/it/finki/tinki/model/Users/User.java	(revision b24fe9b3e02b1e3bc4d7071998208dfd360c3bfd)
+++ src/main/java/it/finki/tinki/model/Users/User.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
@@ -29,3 +29,7 @@
         this.skillsToLearn = skillsToLearn;
     }
+
+    public String toString(){
+        return "";
+    }
 }
Index: src/main/java/it/finki/tinki/model/dto/UserRegisterDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/UserRegisterDTO.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
+++ src/main/java/it/finki/tinki/model/dto/UserRegisterDTO.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
@@ -0,0 +1,15 @@
+package it.finki.tinki.model.dto;
+
+import lombok.Data;
+
+import java.util.List;
+
+@Data
+public class UserRegisterDTO {
+    String email;
+    String password;
+    String name;
+    String surname;
+    List<Long> retainedSkills;
+    List<Long> skillsToLearn;
+}
Index: src/main/java/it/finki/tinki/service/impl/MatchmakerServiceImpl.java
===================================================================
--- src/main/java/it/finki/tinki/service/impl/MatchmakerServiceImpl.java	(revision b24fe9b3e02b1e3bc4d7071998208dfd360c3bfd)
+++ src/main/java/it/finki/tinki/service/impl/MatchmakerServiceImpl.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
@@ -61,4 +61,5 @@
         if(matches.size()!=0) {
             matches.forEach(match -> {
+                System.out.println(match.getCoefficient());
                 jobs.add((Job) match.getEmbeddedMatchId().getWork());
             });
Index: src/main/java/it/finki/tinki/web/controller/RegisterController.java
===================================================================
--- src/main/java/it/finki/tinki/web/controller/RegisterController.java	(revision b24fe9b3e02b1e3bc4d7071998208dfd360c3bfd)
+++ src/main/java/it/finki/tinki/web/controller/RegisterController.java	(revision b31afbdb2c715a5b96a2ec89045752d8c652e207)
@@ -8,4 +8,5 @@
 import it.finki.tinki.model.Users.Account;
 import it.finki.tinki.model.Users.User;
+import it.finki.tinki.model.dto.UserRegisterDTO;
 import it.finki.tinki.service.AccountService;
 import it.finki.tinki.service.MatchmakerService;
@@ -36,15 +37,10 @@
 
     @RequestMapping(path = "/user", method = RequestMethod.POST)
-    private Map<String, String> registerUser(@RequestParam String email,
-                                             @RequestParam String password,
-                                             @RequestParam String name,
-                                             @RequestParam String surname,
-                                             @RequestParam List<Long> retainedSkills,
-                                             @RequestParam List<Long> skillsToLearn){
+    private Map<String, String> registerUser(@RequestBody UserRegisterDTO body){
 
-        List<Skill> retained = this.skillService.returnSkillsBasedOnId(retainedSkills);
-        List<Skill> toLearn = this.skillService.returnSkillsBasedOnId(skillsToLearn);
+        List<Skill> retained = this.skillService.returnSkillsBasedOnId(body.getRetainedSkills());
+        List<Skill> toLearn = this.skillService.returnSkillsBasedOnId(body.getSkillsToLearn());
 
-        Account k = this.accountService.registerUser(email, password, name, surname, retained, toLearn);
+        Account k = this.accountService.registerUser(body.getEmail(), body.getPassword(), body.getName(), body.getSurname(), retained, toLearn);
 
         Map<String, String> response = new HashMap<>();
@@ -60,8 +56,8 @@
 
     @RequestMapping(path = "/team", method = RequestMethod.POST)
-    private Map<String, String> registerTeam(@RequestParam String email,
-                                             @RequestParam String password,
-                                             @RequestParam String name,
-                                             @RequestParam int members){
+    private Map<String, String> registerTeam(@RequestBody String email,
+                                             @RequestBody String password,
+                                             @RequestBody String name,
+                                             @RequestBody int members){
 
         Account k = this.accountService.registerTeam(email, password, name, members);
@@ -79,10 +75,10 @@
 
     @RequestMapping(path = "/company", method = RequestMethod.POST)
-    private Map<String, String> registeCompany(@RequestParam String email,
-                                               @RequestParam String password,
-                                               @RequestParam String name,
-                                               @RequestParam String country,
-                                               @RequestParam String city,
-                                               @RequestParam String street){
+    private Map<String, String> registeCompany(@RequestBody String email,
+                                               @RequestBody String password,
+                                               @RequestBody String name,
+                                               @RequestBody String country,
+                                               @RequestBody String city,
+                                               @RequestBody String street){
 
         Account k = this.accountService.registerCompany(email, password, name, country, city, street);
